class Kugel {

  protected PVector position;
  protected PVector geschwindigkeit;
  protected float radius;
  protected color farbe;

  Kugel(PVector p, float r, PVector v, color f) {
    position = p;
    geschwindigkeit = v;
    radius = r;
    farbe = f;
  }

  void aktualiseren() { 
    position = position.add(geschwindigkeit);
    geschwindigkeit.x *= 0.997;
    geschwindigkeit.y *= 0.997;
  }
  
  void pruefeKollisionRand() {
    if (position.x >= width-radius) {
      position.x = width-radius;
      geschwindigkeit.x *= -1;      
   } else if (position.x <=radius) {
      position.x = radius;
      geschwindigkeit.x *= -1;
    } else if (position.y >= height-radius) {
      position.y = height-radius;
      geschwindigkeit.y *= -1;
    } else if (position.y <= radius) {
      position.y = radius;
      geschwindigkeit.y *= -1;
    }
  }

  void display() {  
    noStroke();
    fill(farbe);
    ellipse(position.x, position.y, radius*2, radius*2); 
  }
}